# Trading Rewards Program

Zeta’s trading rewards program aims to incentivize trading on the protocol to stimulate platform growth. The rewards are distributed in the form of $ZEX token. They are distributed to the traders based on their total epoch Z-Scores at the end of each epoch.

### Z-Score

Z-Score is the scoring system used to determine trading rewards allocation on Zeta. Users can earn Z-Score by trading on Zeta. Z-Scores are updated in real-time as trades take place.

The Z-Score earned from a trade is calculated as follows:

$$
zscore = (\sum\_{a}m\_a)\times f \times 1000
$$

where

$$
f=makerFeesPaid+takerFeesPaid-takerVolume \times maxMakerRebate
$$

`f` represents the trading fees paid, `m` refers to any active boosts or multipliers such as a referral bonus, and `a` refers to the active boosts. Note that all boosts and multipliers are applied to the fees paid, making them additive.

### Epoch Schedules

Rewards are distributed to traders based on their total Z-Scores earned in epochs. Each epoch (except the Genesis Epoch) lasts 28 days.&#x20;

The $ZEX rewards pool for each epoch will be announced before the epoch begins.

| Epoch   | Starting Date | Remark                   |
| ------- | ------------- | ------------------------ |
| Genesis | 07 June 2024  | Ends 28 days after TGE   |
| 1       | TBD           | Starts 28 days after TGE |
| …       | …             |                          |

The Genesis Epoch is the first epoch. It is a longer epoch which begins at the snapshot on 7 Jun 2024 and ends 28 days after TGE date. As the very first epoch, a total of **8,000,000 $ZEX** has been allocated as the reward.

### Reward Distribution Formula

In each epoch, traders’ rewards will be calculated as follows:

$$
r=R \times \dfrac{zscore}{\sum\_{n}zscore\_n}
$$

where `R` is the total rewards pool allocated for the epoch in $ZEX, and `r` refers to the rewards allocated to a specific trader.

Traders will not be able to see their rewards before an epoch concludes. As rewards are in the form of $ZEX tokens, traders will be able to claim them in full, once it is available for claiming.

Rewards are calculated once the epoch ends. After which, a small window of time (1-2 days) may be required to finalize the rewards, before it becomes available for claiming.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zeta.markets/~/changes/R54eqdjuKLVOBkiYmsfG/rewards-programs/trading-rewards-program.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
